Bug 1270457 - [abrt] dnf: rstrlenhash(): python2.7 killed by SIGSEGV
[abrt] dnf: rstrlenhash(): python2.7 killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:410090e84aa4dc3d695178b13f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 03:58 EDT by frywalker
Modified: 2016-03-11 05:33 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 05:33:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.86 KB, text/plain)
2015-10-10 03:58 EDT, frywalker
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-10 03:58 EDT, frywalker
no flags Details
File: core_backtrace (9.76 KB, text/plain)
2015-10-10 03:58 EDT, frywalker
no flags Details
File: dso_list (16.11 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: environ (2.08 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: maps (54.85 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: open_fds (2.76 KB, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: proc_pid_status (977 bytes, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-10 03:59 EDT, frywalker
no flags Details

  None (edit)
Description frywalker 2015-10-10 03:58:51 EDT
Description of problem:
just a normal 'dnf upgrade -y'
downloading normally 
rebuilding delta rpm normally
then during the transaction test it crashed with a segfault:

.........
(77/77): vlc-core-2.2.2-0.1.fc22.x86_64.rpm                                                                          3.4 MB/s | 8.6 MB     00:02    
[DRPM] gnome-terminal-3.16.2-1.fc22_3.16.2-2.fc22.x86_64.drpm: done                                                                                 
[DRPM] kde-runtime-flags-15.08.1-1.fc22_15.08.1-2.fc22.noarch.drpm: done                                                                            
[DRPM] kernel-headers-4.1.8-200.fc22_4.1.10-200.fc22.x86_64.drpm: done                                                                              
[DRPM] open-vm-tools-desktop-9.10.2-1.fc22_10.0.0-7.fc22.x86_64.drpm: done                                                                          
[DRPM] openjpeg2-2.1.0-6.fc22_2.1.0-7.fc22.x86_64.drpm: done                                                                                        
[DRPM] kde-runtime-libs-15.08.1-1.fc22_15.08.1-2.fc22.x86_64.drpm: done                                                                             
[DRPM] kde-runtime-15.08.1-1.fc22_15.08.1-2.fc22.x86_64.drpm: done                                                                                  
[DRPM] webkitgtk3-2.4.9-1.fc22_2.4.9-2.fc22.x86_64.drpm: done                                                                                       
[DRPM] firefox-41.0-4.fc22_41.0.1-2.fc22.x86_64.drpm: done                                                                                          
[DRPM] thunderbird-38.2.0-2.fc22_38.3.0-1.fc22.x86_64.drpm: done                                                                                    
-----------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                1.4 MB/s |  90 MB     01:02     
Delta RPMs a réduit la taille des mises à jour de 243.5 Mio à 89.7 Mio (63.1%  économisés)
Test de la transaction en cours
Erreur de segmentation (core dumped)
[root@fedora ~]#

Version-Release number of selected component:
dnf-1.1.1-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/python -OO /bin/dnf upgrade -y
crash_function: rstrlenhash
executable:     /usr/bin/python2.7
global_pid:     2846
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rstrlenhash at rpmstrpool.c:96
 #1 rstrhash at rpmstrpool.c:97
 #2 depCacheKeyHash at ../lib/rpmhash.C:106
 #3 rpmdbProvides at depends.c:525
 #4 unsatisfiedDepend at depends.c:659
 #5 checkInstDeps at depends.c:733
 #6 rpmtsCheck at depends.c:879
 #7 rpmts_Check at rpmts-py.c:272
 #8 PyObject_Call at /usr/src/debug/Python-2.7.10/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.10/Python/ceval.c:3981
Comment 1 frywalker 2015-10-10 03:58:56 EDT
Created attachment 1081534 [details]
File: backtrace
Comment 2 frywalker 2015-10-10 03:58:57 EDT
Created attachment 1081535 [details]
File: cgroup
Comment 3 frywalker 2015-10-10 03:58:59 EDT
Created attachment 1081536 [details]
File: core_backtrace
Comment 4 frywalker 2015-10-10 03:59:00 EDT
Created attachment 1081537 [details]
File: dso_list
Comment 5 frywalker 2015-10-10 03:59:02 EDT
Created attachment 1081538 [details]
File: environ
Comment 6 frywalker 2015-10-10 03:59:03 EDT
Created attachment 1081539 [details]
File: limits
Comment 7 frywalker 2015-10-10 03:59:05 EDT
Created attachment 1081540 [details]
File: maps
Comment 8 frywalker 2015-10-10 03:59:06 EDT
Created attachment 1081541 [details]
File: mountinfo
Comment 9 frywalker 2015-10-10 03:59:07 EDT
Created attachment 1081542 [details]
File: namespaces
Comment 10 frywalker 2015-10-10 03:59:08 EDT
Created attachment 1081543 [details]
File: open_fds
Comment 11 frywalker 2015-10-10 03:59:10 EDT
Created attachment 1081544 [details]
File: proc_pid_status
Comment 12 frywalker 2015-10-10 03:59:11 EDT
Created attachment 1081545 [details]
File: var_log_messages
Comment 13 Ľuboš Kardoš 2015-10-21 10:21:22 EDT
Do you have a core dump or are you able to reproduce this?
Comment 14 Ľuboš Kardoš 2016-03-11 05:33:41 EST
No answer for a three months, closing as insufficient data. You can reopen this but please provide requested info.

Note You need to log in before you can comment on or make changes to this bug.